.field {
  vertical-align: top;
  width: 100%;
  height: $field-height;
  padding-left: 15px;
  border: 1px solid $field-bd-color;
  font-weight: $fw;
  font-size: 18px;
  color: $field-color;
  text-decoration: none;
  background: $clear-color2;
  outline: none;

  @include border-radius(5px);
  @include plhl-color(#babdbf);
  @include transition(all .15s ease);

  &[disabled] {
    color: rgba($field-color, .5);
    background: #9a9eab;
    cursor: not-allowed !important;

    & ~ .btn .calendarIcon {
      color: rgba($field-color, .5);
    }
  }

  &[readonly] {
    color: $text-color;
  }

  &:focus {
    border-color: $mark-color !important;

    & ~ .fieldPic .fieldIcon {
      color: $mark-color;
    }
  }

  &-oneLine {
    @include ellipsis;
  }

  &-pic {
    padding-left: 65px;
  }

  &-copy {
    padding-right: 80px;
  }

  &-type2 {
    font-weight: 500;
    font-size: 16px;
    border-color: $field2-bd-color;

    @include box-shadow(inset 0 2px 2px rgba(0, 0, 0, 0.04));
    @include plhl-color(#b2b4b7);

    &:focus {
      border-color: $field2-bd-color !important;
    }
  }

  &-voting {
    padding-right: 150px;
    padding-left: 70px;
  }

  &-type3 {
    width: 100%;
    height: 50px;
    padding: 0 18px;
    border: none;
    font-weight: 500;
    font-size: 18px;
    color: $text-color;
    background: $clear-color2;

    @include border-radius(3px);
    @include transition(all .15s ease);
    @include box-shadow(0 5px 20px rgba(0, 0, 0, 0.05));
  }

  &-type4 {
    width: 100%;
    height: 26px;
    padding: 0 18px;
    border: 1px solid #d6d6d6;
    font-weight: 500;
    font-size: 14px;
    color: $text-color;
    background: $clear-color2;

    @include border-radius(3px);
    @include transition(all .15s ease);
    @include box-shadow(0 5px 20px rgba(0, 0, 0, 0.05));

    &:focus {
      border-color: $field2-bd-color !important;
    }
  }

  &-btnFloated160 {
    padding-right: 160px;
  }

  &-btnFloated110 {
    padding-right: 110px;
  }

  &-btnFloated80 {
    padding-right: 80px;
  }

  &-btnFloated150 {
    padding-right: 150px;
  }

  &-search {
    padding-right: 50px;
  }

  &-red {
    color: $red !important;
  }
}

.textarea {
  height: 100px;
  padding: 15px 0 15px 15px;
  line-height: 1.25;

  &-pic {
    padding-left: 58px;
  }

  &-h160 {
    height: 160px;
  }
}

.btn {
  vertical-align: top;
  width: auto;
  min-width: 176px;
  height: $btn-height;
  margin: auto;
  padding: 0 25px;
  border: 2px solid transparent;
  font-weight: 600;
  font-size: 16px;
  color: $clear-color2;
  text-align: center;
  text-transform: uppercase;
  background: #e1e1e1;
  white-space: nowrap;

  @include border-radius(5px);
  @include transition(background .2s ease);

  &[disabled] {
    cursor: not-allowed;

    .btnText {
      padding-top: 0;
    }
  }

  &Text {
    display: inline-block;
    vertical-align: middle;
  }

  &:active {
    .btnText {
      padding-top: 2px;
    }
  }

  & + & {
    margin-left: 15px;
  }

  &-color1 {
    background: $color-second;

    &[disabled] {
      background: $color-second !important;
      border-color: transparent !important;
    }

    &:hover {
      background: $color-second-hover;
    }

    &:active {
      background: $color-second-active;
      border-color: $color-second-bd-color;
    }
  }

  &-gold,
  &-color2 {
    color: $color-add2-text;
    background: $color-add2;

    &[disabled] {
      background: $color-add2 !important;
      border-color: transparent !important;
    }

    &:hover {
      background: $color-add2-hover;
    }

    &:active {
      background: $color-add2-hover;
      border-color: $color-add2-bd-color;
    }
  }

  &-color3 {
    color: $color-add3-text;
    background: $color-add3;

    &:hover {
      background: darken($color-add3, 5%);
    }
  }

  //green btn
  &-color5 {
    background: $green2;

    &[disabled] {
      background: $green2 !important;
      border-color: transparent !important;
    }

    &:hover {
      background: lighten($green2, 5%);
    }

    &:active {
      background: lighten($green2, 5%);
    }
  }

  //red btn
  &-color6 {
    background: $red;

    &[disabled] {
      background: $red !important;
      border-color: transparent !important;
    }

    &:hover {
      background: lighten($red, 5%);
    }

    &:active {
      background: lighten($red, 5%);
    }
  }

  //new def blue btn on login page
  &-color7 {
    background: $new-blue15;

    &[disabled] {
      background: $new-blue15 !important;
      border-color: transparent !important;
    }

    &:hover {
      background: rgba($new-blue15, .8);
    }

    &:active {
      background: darken($new-blue15, 10%);
      border-color: darken($new-blue15, 10%);
    }
  }

  //new dark blue btn on login page
  &-color8 {
    background: $new-blue16;

    &[disabled] {
      background: $new-blue16 !important;
      border-color: transparent !important;
    }

    &:hover {
      background: rgba($new-blue16, .8);
    }

    &:active {
      background: darken($new-blue16, 10%);
      border-color: darken($new-blue16, 10%);
    }
  }

  //gray btn
  &-color9 {
    background: $gray5;

    &[disabled] {
      background: $gray5 !important;
      border-color: transparent !important;
    }

    &:hover {
      background: rgba($gray5, .8);
    }

    &:active {
      background: darken($gray5, 10%);
      border-color: darken($gray5, 10%);
    }
  }

  &-transp1 {
    color: $btn-transp1-color;
    background: transparent;
    border-width: 1px;
    border-color: $btn-transp1-color;
  }

  &-rounded {
    @include border-radius(50px);
  }

  &-hMD {
    height: 42px;
  }

  &-h38 {
    height: 38px;
  }

  &-sm {
    min-width: 120px;
    height: 30px;
    font-size: 13px;
  }

  &-mark {
    @extend .btn-transp1;

    display: inline-block;
    min-width: 0;
    height: 38px;
    padding: 0 18px;
    line-height: 36px;
    font-weight: 500;

    @include border-radius(20px);

    &.pulledLeftMinus20 {
      margin-left: -20px !important;
    }

    &-explore {}
  }

  &-mark2 {
    width: 100px;
    min-width: 0;
    max-width: 100%;
    height: 24px;
    padding: 0;
    border: 2px solid;
    line-height: 20px;
    font-weight: 600;
    font-size: 12px;
    text-align: center;
    background: transparent;

    @include border-radius(20px);

    &.buy {
      color: $green3;
      border-color: $green3;
    }

    &.sell {
      color: $red2;
      border-color: $red2;
    }
  }

  &-fsz-18 {
    font-size: 18px;
  }


  &-copy {
    @extend .btn-color9;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    min-width: 80px !important;
    height: $field-height;
    padding: 0;

    @include border-radius(0 5px 5px 0);
  }

  &-floatedRight {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    height: $field-height;
    padding: 0;
    @include border-radius(0 5px 5px 0);
  }

  &-voting {
    min-width: 150px;
  }

  &-add {
    @extend .btn-color1;
    min-width: 140px;
    height: 52px;
  }

  &-remove {
    @extend .btn-color1;
    min-width: 120px;
    height: 44px;
  }

  &-neutral {
    @extend .btn-color3;
  }

  &-neutral2 {
    @extend .btn-color3;
  }

  &-success {
    @extend .btn-color1;
  }

  &-advOptAside {
    @extend .btn-color1;

    height: 42px;
    padding: 0 20px;
    font-size: 14px;
  }

  &-sbm {
    @extend .btn-color7;
    min-width: 210px;
    padding: 0;

    &-lg {
      min-width: 280px;
    }
  }

  &-sign {
    @extend .btn-color8;
    min-width: 210px;
    padding: 0;
  }

  &-transfer {
    width: 120px;
    min-width: 120px;
    height: 42px;
    margin: 0;
    padding: 0;
    line-height: 38px;
  }

  &-voteHead {
    @extend .btn-color1;

    min-width: 150px;
    height: 52px;
    margin-left: 30px;
    padding: 0;
  }

  &-set {
    @extend .btn-color1;
    min-width: 120px;
    height: 40px;
  }

  &-proposal {
    @extend .btn-color1;
    min-width: 100px;
    height: 44px;
    padding: 0;
  }

  &-seeMore {
    @extend .btn-color3;
    min-width: 225px;
  }

  &-explore {
    @extend .btn-color1;
    min-width: 100px;
    height: 42px;
    padding: 0;
  }

  &Bottom {
    margin: 20px 0;
    text-align: center;
  }

  &-loginBack {
    @extend .btn-color9;
    width: 100%;
    min-width: 100px;
    padding: 0;
  }

  &-loginPrint {
    @extend .btn-color1;
    width: 100%;
    min-width: 100px;
    padding: 0;
  }

  &-loginOk {
    @extend .btn-color7;
    width: 100%;
    min-width: 100px;
    padding: 0;
  }

  &-sendForm {
    @extend .btn-color1;
  }

  &-buy {
    width: 125px;
    min-width: 0;
    padding: 0;
    border: none;
    background: $green3;
  }

  &-sell {
    width: 125px;
    min-width: 0;
    padding: 0;
    border: none;
    background: $red2;
  }

  &-join {
    @extend .btn-color1;

    width: 100px;
    min-width: 100px;
    height: 40px;
    padding: 0;
  }

  &-details {
    @extend .btn-color1;

    width: 100px;
    min-width: 100px;
    height: 40px;
    padding: 0;
  }

  &-register {
    @extend .btn-color5;

    width: 100px;
    min-width: 100px;
    height: 40px;
    padding: 0;
  }

  &-play {
    @extend .btn-color5;

    width: 100px;
    min-width: 100px;
    height: 40px;
    padding: 0;
  }

  &-cancel {
    @extend .btn-color6;

    width: 100px;
    min-width: 100px;
    height: 40px;
    padding: 0;
  }

  //new db
  &-content__head {
    @extend .btn-color1;

    span {
      vertical-align: middle;
      padding: 0 2px;
    }
  }

  //game play. create
  &-calendar {
    width: 70px;
    min-width: 0;
    height: auto;
    text-align: center;
    background: transparent;

    &:hover {
      .calendarIcon {
        color: $faded-color;
      }
    }
  }

  &-whiteListAdd {
    @extend .btn-color1;

    width: 100px;
    min-width: 0;
  }

  &-claim {
    @extend .btn-color1;
    width: 120px;
    min-width: 0;
  }

  &-reset {
    @extend .btn-color9;
    min-width: 100px;
  }
}

.rank__btn {
  width: 44px;
  height: 38px;
  line-height: 38px;
  font-weight: 500;
  font-size: 16px;
  color: $clear-color2;
  text-align: center;

  @include border-radius(4px);

  &.pos {
    background: $rank-pos-color;
  }

  &.neg {
    background: $red;
  }
}

.attach {
  &Input {
    position: absolute;
    top: -18px;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    opacity: 0;
    cursor: pointer;
  }

  &Btn {
    @extend .btn-color9;

    display: block;
    min-width: 120px;
    height: 100%;
    padding: 0;
    line-height: 46px;
    overflow: hidden;
  }

  &Next {
    margin-left: 120px;
    overflow: hidden;
  }
}

.btn-w-100 {
  min-width: 100px;
}

.btn + .btn.ml-2 {
  margin-left: 2px;
}

.row-attach {
  position: relative;

  .attachBtn {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;

    @include border-radius(5px 0 0 5px);
  }

  .field {
    border-left: none;

    @include border-radius(0 5px 5px 0);
  }
}
